Add ruby version to Gemfile, move devDependencies in package.json to dependencies,

fix bug in process feed service
feature/8296-invite_api
Eugen Rochko 6 years ago
parent 10739df458
commit 7951e7ffd5
  1. 1
      Gemfile
  2. 3
      Gemfile.lock
  3. 2
      app/services/process_feed_service.rb
  4. 6
      package.json

@ -1,6 +1,7 @@
# frozen_string_literal: true
source 'https://rubygems.org'
ruby '2.3.1'
gem 'rails', '~> 5.0.1.0'
gem 'sass-rails', '~> 5.0'

@ -463,5 +463,8 @@ DEPENDENCIES
webmock
will_paginate
RUBY VERSION
ruby 2.3.1p112
BUNDLED WITH
1.13.6

@ -56,6 +56,8 @@ class ProcessFeedService < BaseService
end
end
return if status.nil?
status.save!
NotifyService.new.call(status.reblog.account, status) if status.reblog? && status.reblog.account.local?

@ -4,7 +4,7 @@
"test": "mocha --require ./spec/javascript/setup.js --compilers js:babel-register ./spec/javascript/components/*.test.jsx",
"storybook": "start-storybook -p 9001 -c storybook"
},
"devDependencies": {
"dependencies": {
"@kadira/storybook": "^2.24.0",
"axios": "^0.14.0",
"babel-plugin-react-transform": "^2.0.2",
@ -52,9 +52,7 @@
"reselect": "^2.5.4",
"sass-loader": "^4.0.2",
"sinon": "^1.17.6",
"style-loader": "^0.13.1"
},
"dependencies": {
"style-loader": "^0.13.1",
"webpack": "^1.14.0"
}
}

Loading…
Cancel
Save